# Uses of Interface
javax.lang.model.element.Name

Packages that use Name
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of Name in com.sun.source.doctree

Methods in com.sun.source.doctree that return Name
Modifier and Type
Method
Description
`Name`
AttributeTree.`getName()`
Returns the name of the attribute.
`Name`
EndElementTree.`getName()`
Returns the name of this element.
`Name`
EntityTree.`getName()`
Returns the name or value of the entity.
`Name`
IdentifierTree.`getName()`
Returns the name of the identifier.
`Name`
StartElementTree.`getName()`
Returns the name of the element.
`Name`
SystemPropertyTree.`getPropertyName()`
Returns the specified system property name.

## Uses of Name in com.sun.source.tree

Methods in com.sun.source.tree that return Name
Modifier and Type
Method
Description
`Name`
MemberSelectTree.`getIdentifier()`
Returns the name of the member to be selected.
`Name`
BreakTree.`getLabel()`
Returns the label for this `break` statement.
`Name`
ContinueTree.`getLabel()`
Returns the label for this `continue` statement.
`Name`
LabeledStatementTree.`getLabel()`
Returns the label.
`Name`
IdentifierTree.`getName()`
Returns the name of the identifier.
`Name`
MemberReferenceTree.`getName()`
Returns the name of the reference.
`Name`
MethodTree.`getName()`
Returns the name of the method being declared.
`Name`
TypeParameterTree.`getName()`
Returns the name of the type parameter.
`Name`
VariableTree.`getName()`
Returns the name of the variable being declared or empty name if both the variable is unnamed and the preview features are enabled (Unnamed Patterns and Variables).
`Name`
ClassTree.`getSimpleName()`
Returns the simple name of this type declaration.

## Uses of Name in com.sun.source.util

Methods in com.sun.source.util with parameters of type Name
Modifier and Type
Method
Description
`AttributeTree`
DocTreeFactory.`newAttributeTree(Name name, AttributeTree.ValueKind vkind, List<? extends DocTree> value)`
Creates a new `AttributeTree` object, to represent an attribute in an HTML element or tag.
`EndElementTree`
DocTreeFactory.`newEndElementTree(Name name)`
Creates a new `EndElement` object, to represent the end of an HTML element.
`EntityTree`
DocTreeFactory.`newEntityTree(Name name)`
Creates a new `EntityTree` object, to represent an HTML entity.
`IdentifierTree`
DocTreeFactory.`newIdentifierTree(Name name)`
Creates a new `IdentifierTree` object, to represent an identifier, such as in a `@param` tag.
`StartElementTree`
DocTreeFactory.`newStartElementTree(Name name, List<? extends DocTree> attrs, boolean selfClosing)`
Creates a new `StartElementTree` object, to represent the start of an HTML element.
`SystemPropertyTree`
DocTreeFactory.`newSystemPropertyTree(Name propertyName)`
Creates a new `SystemPropertyTree` object, to represent a `{@systemProperty }` tag.
`UnknownBlockTagTree`
DocTreeFactory.`newUnknownBlockTagTree(Name name, List<? extends DocTree> content)`
Creates a new `UnknownBlockTagTree` object, to represent an unrecognized block tag.
`UnknownInlineTagTree`
DocTreeFactory.`newUnknownInlineTagTree(Name name, List<? extends DocTree> content)`
Creates a new `UnknownInlineTagTree` object, to represent an unrecognized inline tag.

## Uses of Name in javax.lang.model.element

Methods in javax.lang.model.element that return Name
Modifier and Type
Method
Description
`Name`
ModuleElement.`getQualifiedName()`
Returns the fully qualified name of this module.
`Name`
PackageElement.`getQualifiedName()`
Returns the fully qualified name of this package.
`Name`
QualifiedNameable.`getQualifiedName()`
Returns the fully qualified name of an element.
`Name`
TypeElement.`getQualifiedName()`
Returns the fully qualified name of this class or interface element.
`Name`
Element.`getSimpleName()`
Returns the simple (unqualified) name of this element.
`Name`
ExecutableElement.`getSimpleName()`
Returns the simple name of a constructor, method, or initializer.
`Name`
ModuleElement.`getSimpleName()`
Returns the simple name of this module.
`Name`
PackageElement.`getSimpleName()`
Returns the simple name of this package.
`Name`
RecordComponentElement.`getSimpleName()`
Returns the simple name of this record component.
`Name`
TypeElement.`getSimpleName()`
Returns the simple name of this class or interface element.
`Name`
VariableElement.`getSimpleName()`
Returns the simple name of this variable element.

## Uses of Name in javax.lang.model.util

Methods in javax.lang.model.util that return Name
Modifier and Type
Method
Description
`Name`
Elements.`getBinaryName(TypeElement type)`
Returns the binary name of a type element.
`Name`
Elements.`getName(CharSequence cs)`
Returns a name with the same sequence of characters as the argument.